# $Revision: 1.27 $, $Date: 2005/01/08 12:35:49 $
#
Summary:	Client for SoulSeek filesharing system
Summary(pl):	Klient sieci SoulSeek
Name:		pyslsk
Version:	1.2.5
Release:	3
License:	GPL
Vendor:		Alexander Kanavin <ak@sensi.org>
Group:		X11/Applications
Source0:	http://www.sensi.org/~ak/pyslsk/%{name}-%{version}.tar.gz
# Source0-md5:	6279775dbef8ef9511950cd0b9a6ee70
Source1:	%{name}.desktop
URL:		http://www.sensi.org/~ak/pyslsk/
BuildRequires:	python-devel > 2.2
BuildRequires:	rpm-pythonprov
BuildArch:	noarch
Requires:	python-wxPython >= 2.4.0
Requires:	python-pyvorbis
%pyrequires_eq	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PySoulSeek is a client for SoulSeek filesharing system.

%description -l pl
PySoulSeek jest klientem sieci SoulSeek.

%prep
%setup -q

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}
install -d $RPM_BUILD_ROOT%{_pixmapsdir}

python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install img/bird.jpg $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG KNOWN_BUGS MAINTAINERS README README.import-winconfig TODO
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/pysoulseek
%{_desktopdir}/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pyslsk.spec,v $
Revision 1.27  2005/01/08 12:35:49  havner
- rel 3 for rebuild with python 2.4

Revision 1.26  2004/11/05 11:21:24  paladine
- rel 2 for fixed desktop file

Revision 1.25  2004/07/28 08:03:15  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.24  2004/07/11 15:07:29  jpc
- cosmetics: Version not version

Revision 1.23  2004/02/08 15:49:16  undefine
- update to 1.2.5

Revision 1.22  2003/08/24 15:55:03  tiwek
- md5sum :(

Revision 1.21  2003/08/24 15:51:41  tiwek
- updated to 1.2.4
- removed Hyriand patch beacuse is not mantained.

Revision 1.20  2003/08/12 22:32:52  ankry
- cosmetics

Revision 1.19  2003/08/05 05:47:21  tiwek
- updated to 1.2.3
- updated hyriand patch to 10.2

Revision 1.18  2003/07/19 21:34:58  djrzulf
- this client depends at wxPython 2.4.1 or newer

Revision 1.17  2003/07/02 13:35:55  ankry
- URL fix

Revision 1.16  2003/07/02 12:09:45  tiwek
updated hydrian patch

Revision 1.15  2003/07/02 12:00:50  tiwek
upgrade to 1.2.2

Revision 1.14  2003/05/28 13:01:27  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:25:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/05/10 16:26:44  djrzulf
- package more user friendly (enlarger bcon),
- Release 4,

Revision 1.11  2003/05/09 08:01:43  djrzulf
- fixed group,
- adapterized,
- Release 3,

Revision 1.10  2003/05/09 07:54:51  djrzulf
- added hyriand bcond,

Revision 1.9  2003/05/06 09:06:35  qboosh
- fixed file list (use explicit, not auto-generated)
- removed COPYING (just GPL) and INSTALL (useless in rpm) from doc

Revision 1.8  2003/05/06 07:54:33  djrzulf
- updated Requires: wxPython-2.3.4,

Revision 1.7  2003/05/05 15:11:14  djrzulf
- dam key

Revision 1.6  2003/05/05 15:10:00  djrzulf
- updated desktop file, Release 2

Revision 1.5  2003/04/30 00:10:07  djrzulf
- added .desktop file

Revision 1.4  2003/04/30 00:05:43  djrzulf
- works perfectly !
- release 1,

Revision 1.3  2003/04/29 22:56:54  djrzulf
- rel 0.2, 644 for files is not needed

Revision 1.2  2003/04/29 22:44:26  djrzulf
- added missed requires

Revision 1.1  2003/04/29 22:35:40  djrzulf
- initial PLD version, based on spec from author
